import { adminCredentials } from '~/components/credentials';
import { headersWithAuth } from './headers-with-auth';

export const get = async (id: string) => {
  const credentials = adminCredentials();
  if (!credentials) {
    return null;
  }
  const { database } = credentials;

  const headers = headersWithAuth();
  if (!headers) {
    return null;
  }

  const response = await fetch(`${database}/dyomedea_users/${id}`, {
    method: 'GET',
    mode: 'cors',
    headers,
  });

  return await response.json();
};
